## comprez 2.6.1

=== Makefile ===
PROG = z

BINDIR   = /usr/local/bin
#BINDIR  = $(HOME)/bin
MKBINDIR = true
BINMODE  = 755

MANDIR   = /usr/local/man/man1
#MANDIR  = $(HOME)/man/man1
MKMANDIR = true
MANEXT   = .1
MANMODE  = 644

all:

install:
	-$(MKBINDIR) && mkdir $(BINDIR) 2> /dev/null
	cp $(PROG) $(BINDIR)/.
	chmod $(BINMODE) $(BINDIR)/$(PROG)

install.man:
	-$(MKMANDIR) && mkdir $(MANDIR) 2> /dev/null
	cp $(PROG).man $(MANDIR)/$(PROG)$(MANEXT)
	chmod $(MANMODE) $(MANDIR)/$(PROG)$(MANEXT)

deinstall:
	rm -f $(BINDIR)/$(PROG)
	-$(MKBINDIR) && rmdir $(BINDIR) 2> /dev/null

deinstall.man:
	rm -f $(MANDIR)/$(PROG)$(MANEXT)
	-$(MKMANDIR) && rmdir $(MANDIR) 2> /dev/null

clean:

# -----------------------------------------------------------------------
# for maintainer use only

import:
	cp $(HOME)/binp/$(PROG) .
	cp $(HOME)/manp/man1/$(PROG).1 $(PROG).man
	cp $(HOME)/manp/man1/$(PROG).html .

dist:
	VER=`sed -n 's/^version=\([^ 	]*\).*/\1/p' $(PROG) | tail -1`;\
	BASE=$(PROG)-$$VER;\
	rm -f ../$$BASE.tgz;\
	cp -r ../src ../$$BASE;\
	z -gz -s .tgz -m 644 ../$$BASE

=== debian/changelog ===
comprez (2.6.1-2) unstable; urgency=low

  * debian/control
    - (Build-Depends): Update to debhelper 9.
    - (Standards-Version): Update to 3.9.3.1.
  * debian/compat
    - Update to 9.
  * debian/copyright
    - Update to format 1.0.
  * debian/rules
    - Update to dh(1).

 -- Jari Aalto <jari.aalto@cante.net>  Thu, 22 Mar 2012 15:09:33 -0400

comprez (2.6.1-1) unstable; urgency=low

  * New upstream release.
  * Move to format: 3.0 (quilt).
  * debian/clean
    - Move content from 'rules' for dh(1) to use.
  * debian/debian-vars.mk
    - Update.
  * debian/control
    - (Build-Depends:): remove dpatch.
  * debian/patches
    - Move dpatch format to quilt.
  * debian/rules
    - (binary-arch): Delete unused.
    - (configure-stamp, build-stamp. clean): Delete; obsoleted by dh(1).
    - (install): minor adjustments.
  * debian/source/format
    - New file.

 -- Jari Aalto <jari.aalto@cante.net>  Wed, 16 Dec 2009 18:48:20 +0200

comprez (2.6.0-1) unstable; urgency=low

  * Initial release (Closes: #453269).

 -- Jari Aalto <jari.aalto@cante.net>  Fri, 04 Dec 2009 12:57:34 +0200

=== debian/control ===
Source: comprez
Section: utils
Priority: extra
Maintainer: Jari Aalto <jari.aalto@cante.net>
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.3.1
Vcs-Browser: http://git.debian.org/?p=collab-maint/comprez.git
Vcs-Git: git://git.debian.org/git/collab-maint/comprez.git
Homepage: http://www.cs.indiana.edu/~kinzler/z

Package: comprez
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: frontend to many compression programs
 Comprez, aka 'z', is a simple, safe and convenient front-end for the
 compress(1), uncompress(1), gzip(1), bzip2(1), tar(1), zip(1) and
 unzip(1) utilities for compressing and uncompressing files and
 directories.
 .
 The basic idea is that you can just run "comprez SOMETHING" where
 SOMETHING is any file, directory, compressed file or compressed
 archive, and program will do the right thing in a standard way.
 Simple for novices and convenient for experts.

=== debian/watch ===
version=3
opts="downloadurlmangle=s/.index.html//,opts=filenamemangle=s/tgz/tar.gz/" \
    http://www.cs.indiana.edu/~kinzler/z/  z-([\d.]+)\.tgz debian debian/repack.sh

## comprez 2.7.1

=== debian/changelog ===
comprez (2.7.1-2) unstable; urgency=medium

  * debian/watch
    - Correct "attempt to use it for checking for newer upstream versions
      failed with an error" by adjusting filenamemangle.

 -- Jari Aalto <jari.aalto@cante.net>  Sat, 29 Oct 2016 18:29:51 +0300

comprez (2.7.1-1) unstable; urgency=medium

  * debian/copyright
    - (Source): Update.
  * debian/control
    - (Standards-Version): Update to 3.9.8.
    - (Vcs-*): Update to anonscm.debian.org.
  * debian/patches
    - (10): refresh.
  * debian/README.Debian
    - Fix typo.

 -- Jari Aalto <jari.aalto@cante.net>  Tue, 18 Oct 2016 21:04:30 +0300

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Priority: extra
 Maintainer: Jari Aalto <jari.aalto@cante.net>
 Build-Depends: debhelper (>= 9)
-Standards-Version: 3.9.3.1
-Vcs-Browser: http://git.debian.org/?p=collab-maint/comprez.git
-Vcs-Git: git://git.debian.org/git/collab-maint/comprez.git
-Homepage: http://www.cs.indiana.edu/~kinzler/z
+Standards-Version: 3.9.8
+Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/comprez.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/comprez.git
+Homepage: https://www.cs.indiana.edu/~kinzler/z
 
 Package: comprez
 Architecture: all

=== debian/watch ===
version=3
opts="downloadurlmangle=s/.index.html//,filenamemangle=s/^([a-z]+)-(.+).tgz/comprez-$2.tar.gz/" \
    http://www.cs.indiana.edu/~kinzler/z/  z-([\d.]+)\.tgz debian debian/repack.sh

## comprez 2.7.3

=== Makefile ===
--- 
+++ 
@@ -18,13 +18,24 @@
 	cp $(PROG) $(BINDIR)/.
 	chmod $(BINMODE) $(BINDIR)/$(PROG)
 
+install.zzcat:
+	-$(MKBINDIR) && mkdir $(BINDIR) 2> /dev/null
+	cp zzcat $(BINDIR)/.
+	chmod $(BINMODE) $(BINDIR)/zzcat
+
 install.man:
 	-$(MKMANDIR) && mkdir $(MANDIR) 2> /dev/null
 	cp $(PROG).man $(MANDIR)/$(PROG)$(MANEXT)
 	chmod $(MANMODE) $(MANDIR)/$(PROG)$(MANEXT)
 
-deinstall:
+deinstall: deinstall.z deinstall.zzcat
+
+deinstall.z:
 	rm -f $(BINDIR)/$(PROG)
+	-$(MKBINDIR) && rmdir $(BINDIR) 2> /dev/null
+
+deinstall.zzcat:
+	rm -f $(BINDIR)/zzcat
 	-$(MKBINDIR) && rmdir $(BINDIR) 2> /dev/null
 
 deinstall.man:
@@ -37,7 +48,7 @@
 # for maintainer use only
 
 import:
-	cp $(HOME)/binp/$(PROG) .
+	cp $(HOME)/binp/$(PROG) $(HOME)/binp/zzcat .
 	cp $(HOME)/manp/man1/$(PROG).1 $(PROG).man
 	cp $(HOME)/manp/man1/$(PROG).html .

=== debian/changelog ===
comprez (2.7.3-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Use correct machine-readable copyright file URI.

  [ Giovani Augusto Ferreira ]
  * Bumped DH level to 13.
  * Bumped Standards-Version to 4.5.0
  * debian/tests/control: Add superficial restriction (closes: #969815)

 -- Giovani Augusto Ferreira <giovani@debian.org>  Tue, 08 Sep 2020 21:20:31 -0300

comprez (2.7.3-1) unstable; urgency=medium

  * New maintainer. (Closes: #920064)
  * Using new DH level format. Consequently:
      - debian/compat: removed.
      - debian/control: Changed from 'debhelper' to 'debhelper-compat' in
        Build-Depends field and bumped level to 12.
  * debian/control:
      - Added the field Rules-Requires-Root: no
      - Replace "Priority: extra" with "optional".
      - Set "Multi-Arch: foreign"
      - Standards-Version: bumped to 4.4.1 (no changes needed)
      - Switch VCS URLs to salsa.debian.org
  * debian/copyright:
      - Added safe uri (https) to Format.
      - Updated years and rights.
  * debian/patches/*: updated to new source code.
  * debian/salsa-ci.yml: added to provide CI tests for Salsa.
  * debian/tests/control: created to provide trivial tests.
  * debian/upstream/metadata: created.
  * debian/watch: updated to version 4 and use safe uri (https).
  * wrap-and-sort -sa

 -- Giovani Augusto Ferreira <giovani@debian.org>  Thu, 26 Dec 2019 10:47:27 -0300

=== debian/control ===
Source: comprez
Section: utils
Priority: optional
Maintainer: Giovani Augusto Ferreira <giovani@debian.org>
Build-Depends:
 debhelper-compat (= 13)
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://www.cs.indiana.edu/~kinzler/z
Vcs-Browser: https://salsa.debian.org/debian/comprez
Vcs-Git: https://salsa.debian.org/debian/comprez.git

Package: comprez
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: frontend to many compression programs
 Comprez, aka 'z', is a simple, safe and convenient front-end for the
 compress(1), uncompress(1), gzip(1), bzip2(1), tar(1), zip(1) and
 unzip(1) utilities for compressing and uncompressing files and
 directories.
 .
 The basic idea is that you can just run "comprez SOMETHING" where
 SOMETHING is any file, directory, compressed file or compressed
 archive, and program will do the right thing in a standard way.
 Simple for novices and convenient for experts.

=== debian/rules ===
#!/usr/bin/make -f

PACKAGE = comprez

override_dh_auto_install:
	install -D -m 755 z \
	$(CURDIR)/debian/$(PACKAGE)/usr/bin/$(PACKAGE)

override_dh_installman:
	install -D -m 644 z.man \
	$(CURDIR)/debian/$(PACKAGE)/usr/share/man/man1/$(PACKAGE).1

%:
	dh $@

# End of file

=== debian/tests/control ===
Test-Command: comprez -h 2>&1 | grep Version
Restrictions: superficial

=== debian/watch ===
version=4
opts="downloadurlmangle=s/.index.html//,filenamemangle=s/^([a-z]+)-(.+).tgz/comprez-$2.tar.gz/" \
    https://kinzler.com/me/z/ z-([\d.]+)\.tgz debian debian/repack.sh
